using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HealthSensorPlatform.CustomControls
{
    public partial class DoubleBufferTableLayoutPanel : TableLayoutPanel 
    {
        public DoubleBufferTableLayoutPanel()
        {
            InitializeComponent();
        }

        public DoubleBufferTableLayoutPanel(IContainer container)
        {
            container.Add(this);
            InitializeComponent();
        }

        /// <summary>
        /// Double buffer
        /// </summary>
        [Description("Double buffer")]
        [DefaultValue(true)]
        public bool dBuffer
        {
            get { return this.DoubleBuffered; }
            set { this.DoubleBuffered = value; }
        }
    }
}
